#
# spec file for package texinfo (Version 4.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         texinfo
License:      GPL, Other License(s), see package
Group:        Productivity/Publishing/Texinfo
Autoreqprov:  on
Version:      4.5
Release:      127
Summary:      Tools Needed to Create Documentation from Texinfo Sources
URL:          http://www.texinfo.org
PreReq:       %{install_info_prereq}
Source:       ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2
Source1:      texi2html-1.64-cvs20010402.tar.gz
Source2:      texi2roff-2.0.tar.gz
Source3:      info-dir
Patch:        texinfo-%{version}.dif
Patch1:       texi2html-1.64-cvs20010402.dif
Patch2:       texi2roff-2.0.dif
Patch3:       texi2roff.patch.gz
Patch4:       texinfo-4.5-zlib.patch
Patch5:       texinfo-4.5-tempfile.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Texinfo is a documentation system that uses a single source file to
produce both online information and printed output.  Using Texinfo, you
can create a printed document with the normal features of a book,
including chapters, sections, cross-references, and indices.  From the
same Texinfo source file, you can create a menu-driven, online info
file with nodes, menus, cross-references, and indices.



Authors:
--------
    Andreas Schwab <schwab@suse.de>
    Brian Fox <bfox@gnu.ai.mit.edu>
    Charles Hannum <mycroft@gnu.ai.mit.edu>
    Daniel Hagerty <hag@gnu.ai.mit.edu>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Eli Zaretskii  <eliz@is.elta.co.il>
    Jim Meyering <meyering@na-net.ornl.gov>
    Karl Berry  <karl@gnu.org>
    Kaveh R. Ghazi <ghazi@caip.rutgers.edu>
    Noah Friedman <friedman@prep.ai.mit.edu>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Robert J. Chassell <bob@gnu.ai.mit.edu>
    Roland McGrath <roland@gnu.ai.mit.edu>

%package -n info
Summary:      A Stand-Alone Terminal-Based Info Browser
Group:        Productivity/Publishing/Texinfo
PreReq:       bash zlib

%description -n info
Info is a terminal-based program for reading documentation of computer
programs in the Info format. The GNU Project distributes most of its
on-line manuals in the Info format, so you need a program called "Info
reader" to read the manuals.



Authors:
--------
    Andreas Schwab <schwab@suse.de>
    Brian Fox <bfox@gnu.ai.mit.edu>
    Charles Hannum <mycroft@gnu.ai.mit.edu>
    Daniel Hagerty <hag@gnu.ai.mit.edu>
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Eli Zaretskii  <eliz@is.elta.co.il>
    Jim Meyering <meyering@na-net.ornl.gov>
    Karl Berry  <karl@gnu.org>
    Kaveh R. Ghazi <ghazi@caip.rutgers.edu>
    Noah Friedman <friedman@prep.ai.mit.edu>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Robert J. Chassell <bob@gnu.ai.mit.edu>
    Roland McGrath <roland@gnu.ai.mit.edu>

%prep
rm -rf texi2html-1.64-cvs20010402 texi2roff-2.0
%setup -b 1 -b 2
%patch
%patch4 -p1 -b .zlib
%patch5 -p0 -b .tempfile
cd ../texi2html-1.64-cvs20010402
%patch -P 1
cd ../texi2roff-2.0
%patch -P 3 -p 0 -b .Bader
%patch -P 2

%build
    HOST=%{_target_cpu}-suse-linux
    CFLAGS="$RPM_OPT_FLAGS -pipe"
    LDFLAGS="-s"
    CC=gcc
    export CFLAGS LDFLAGS CC
    ./configure $HOST			\
	--prefix=/usr			\
	--mandir=%{_mandir}		\
	--infodir=%{_infodir}	\
	--without-included-gettext	\
	--with-catgets			\
	--enable-nls
    make
cd ../texi2html-1.64-cvs20010402
    ./configure $HOST			\
	--prefix=/usr			\
	--mandir=%{_mandir}		\
	--without-included-gettext	\
	--with-catgets			\
	--enable-nls
    make
cd ../texi2roff-2.0
    make

%install
rm -rf ${RPM_BUILD_ROOT}/
    make DESTDIR=${RPM_BUILD_ROOT} \
	htmldir=%{_defaultdocdir}/texi2html install
    mkdir -p ${RPM_BUILD_ROOT}/sbin
    mv ${RPM_BUILD_ROOT}/usr/bin/install-info ${RPM_BUILD_ROOT}/sbin/
    ln -sf ../../sbin/install-info ${RPM_BUILD_ROOT}/usr/bin/install-info
    mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
    install -m 644 ${RPM_SOURCE_DIR}/info-dir ${RPM_BUILD_ROOT}%{_infodir}/dir
cd ../texi2html-1.64-cvs20010402
    make DESTDIR=${RPM_BUILD_ROOT} \
	htmldir=%{_defaultdocdir}/texi2html install
cd ../texi2roff-2.0
    doc=%{_defaultdocdir}/texi2roff
    install -m 755 texi2roff     ${RPM_BUILD_ROOT}/usr/bin/
    install -m 755 texi2index    ${RPM_BUILD_ROOT}/usr/bin/
    install -m 644 texi2roff.1   ${RPM_BUILD_ROOT}%{_mandir}/man1/
    mkdir -p                     ${RPM_BUILD_ROOT}${doc}
    install -m 644 Readme        ${RPM_BUILD_ROOT}${doc}
    install -m 644 copyright     ${RPM_BUILD_ROOT}${doc}

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf ${RPM_BUILD_ROOT}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/texinfo.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/texinfo.gz

%post -n info
%install_info --info-dir=%{_infodir} %{_infodir}/info-stnd.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/info.info.gz

%postun -n info
%install_info_delete --info-dir=%{_infodir} %{_infodir}/info-stnd.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/info.info.gz

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}/texi2html
%dir %{_defaultdocdir}/texi2roff
%doc ABOUT-NLS AUTHORS COPYING INTRODUCTION NEWS README TODO
%doc doc/texinfo.tex doc/txi-*.tex
%doc %{_defaultdocdir}/texi2html/texi2html.html
%doc %{_defaultdocdir}/texi2roff/Readme
%doc %{_defaultdocdir}/texi2roff/copyright
/usr/bin/makeinfo
/usr/bin/texi*
%{_infodir}/texinfo*.gz
%{_mandir}/man1/makeinfo.1.gz
%{_mandir}/man1/texi*.1.gz
%{_mandir}/man5/texinfo.5.gz
/usr/share/locale/*/*/texinfo.mo
/usr/share/texinfo

%files -n info
%defattr(-,root,root)
%config(noreplace) %verify(not md5 size mtime) %{_infodir}/dir
/sbin/install-info
%{_bindir}/info
%{_bindir}/infokey
%{_infodir}/info.info*
%{_infodir}/info-stnd.info*
%{_mandir}/man1/info.1*
%{_mandir}/man1/install-info.1*
%{_mandir}/man5/info.5*

%changelog -n texinfo
* Thu Oct 06 2005 - werner@suse.de
- Use directory for the base of temporary index files (bug #120577)
* Wed May 21 2003 - ro@suse.de
- fix filelist: package files in /usr/share/texinfo
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Sun Mar 09 2003 - kukuk@suse.de
- Add zlib to info PreRequires [Bug #24954]
* Tue Feb 11 2003 - kukuk@suse.de
- Branch off info sub package
- Add /usr/share/info/dir
* Sat Feb 08 2003 - kukuk@suse.de
- Remove PreRequire for gzip, link against zlib instead (patched
  based on version from RH)
* Sat Feb 08 2003 - ro@suse.de
- fixed pre/post install scripts
* Fri Feb 07 2003 - ro@suse.de
- removed self-prereq again
* Thu Feb 06 2003 - aj@suse.de
- Use install_info.
- Update to texinfo 4.5.
* Wed Jan 22 2003 - werner@suse.de
- Request gzip before installing (bug #22992)
* Fri Aug 30 2002 - werner@suse.de
- Add a warning on missed programs and say what todo (bug #18642)
* Mon Jun 17 2002 - schwab@suse.de
- Update to texinfo 4.2.
* Thu Mar 07 2002 - schwab@suse.de
- Update to texinfo 4.1.
* Wed Feb 13 2002 - schwab@suse.de
- Fix verbose message of texi2dvi.
* Thu Jan 24 2002 - okir@suse.de
- fixed tempfile races in texindex (moved all tempfiles
  into a subdirectory of /tmp).
* Wed Jan 16 2002 - schwab@suse.de
- Fix bad free in "makeinfo --html".
* Tue Jun 12 2001 - schwab@suse.de
- Fix directive inside macro call.
* Thu Apr 12 2001 - werner@suse.de
- Use CVS snapshot of texi2html which works on glibc texinfo code
* Thu Apr 12 2001 - ro@suse.de
- fixed glossary for texi2html
* Wed Apr 11 2001 - werner@suse.de
- Update of texi2html and texi2roff
* Thu Sep 28 2000 - werner@suse.de
- Move /usr/bin/install-info to /sbin/install-info and
  set backward compatibility symlink.
* Wed May 31 2000 - werner@suse.de
- use rpm macros for common paths
* Mon Feb 28 2000 - werner@suse.de
- Fix segmentation fault (close bug #1911)
* Thu Feb 03 2000 - werner@suse.de
- Fixed de.po
* Wed Feb 02 2000 - werner@suse.de
- Remove Makefile.Linux
- /usr/man -> /usr/share/man
- /usr/info -> /usr/share/info (man pages and main for info program)
- Install info pages of texinfo
* Wed Dec 01 1999 - werner@suse.de
- small changes
* Mon Nov 29 1999 - ke@suse.de
- update: version 4.0 (#600).
- use BuildRoot.
- install COPYRIGHT, etc.
- don't disable NLS.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jan 11 1999 - ro@suse.de
- info/terminal.c : TIOCGETC and TIOCGLTC are defined on alpha,
  but we can't access tchars and ltchars strutures,
  so undef both
  use tcgetattr and cfgetospeed to determine output
  speed
* Fri Jul 17 1998 - werner@suse.de
- check exit satus of mkdir for temp directories
* Tue Oct 14 1997 - ro@suse.de
- update to 3.12
- ready for autobuild
* Fri Oct 10 1997 - florian@suse.de
- update to texinfo 3.11
* Sun Jun 22 1997 - florian@suse.de
- add debian-changes to support ANSI-cursor movements
- add texi2html 1.51
- add texi2roff 2.0
* Sun Apr 13 1997 - florian@suse.de
- cosmetic changes, just done in preparation for glibc
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 3.9.
